Bug 471893 - kernel's inotify subsystem not send notification on inode link count change
kernel's inotify subsystem not send notification on inode link count change
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Alexander Viro
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 10:12 EST by Steve Grubb
Modified: 2009-09-02 04:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2008-11-17 10:12:39 EST
Description of problem:
The inotify system in the kernel doesn't send a notification event when an inode's link count is changed. This problem was encountered by a program, prelude-lml, watching for log rotation using inotify.

Patch fixing the problem is here:

ftp://ftp.linux.org.uk/pub/people/viro/in_attrib

In case it disappears soon, the original upstream fix is:

commit ece95912db94d98e202cbedb8f35206deb29d83d
Author: Jan Kara <jack@suse.cz>
Date:   Wed Feb 6 01:37:13 2008 -0800
Comment 1 RHEL Product and Program Management 2009-01-27 15:39:26 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 RHEL Product and Program Management 2009-02-16 10:39:44 EST
Updating PM score.
Comment 3 Don Zickus 2009-02-23 15:02:42 EST
in kernel-2.6.18-132.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 6 errata-xmlrpc 2009-09-02 04:39:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.